mintupload (4.2.0) uma; urgency=medium

  * Make the manager window a singleton

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 May 2021 11:27:20 +0100

mintupload (4.1.9) ulyssa; urgency=medium

  [ okaestne ]
  * remove some Gtk warnings
  * add .gitignore
  * Add COPYING
  * Dropzone UI rework
  * fix opacity of dropzone window, less opaque though
  * shrink the dropzone window a bit
  * dropzone: remove custom drag-active border color
  * [UI] dropzone: set solid border-style when active

  [ Clement Lefebvre ]
  * Improve the look of the manager UI

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 15:16:31 +0000

mintupload (4.1.8) ulyana; urgency=medium

  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 May 2020 08:38:10 +0100

mintupload (4.1.7) ulyana; urgency=medium

  [ Michael Webster ]
  * all: Use python3.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Apr 2020 12:07:38 +0100

mintupload (4.1.6) tricia; urgency=medium

  * Switch tray to symbolic

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Nov 2019 14:24:50 +0000

mintupload (4.1.5) tricia; urgency=medium

  * Add support for XAppStatusIcon
  * StatusIcon: Use new set_menu functions

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 11:57:07 +0100

mintupload (4.1.4) tina; urgency=medium

  * About dialog: Fix the path for mintcommon's version.py
  * Fix generate_desktop_files
  * Inject the app version during the build

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:53:18 +0200

mintupload (4.1.3) tessa; urgency=medium

  * Add support for window progress

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 29 Nov 2018 15:07:01 +0000

mintupload (4.1.2) tara; urgency=medium

  [ NikoKrause ]
  * fix ngettext not catching the translations (#37)

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 12:31:42 +0100

mintupload (4.1.1) sylvia; urgency=medium

  [ monsta ]
  * fix runtime dependencies
  * remove unused import
  * remove unused gi.require_version

  [ JosephMcc ]
  * Don't special case the systray icon in Mate (#34)

  [ NikoKrause ]
  * Translation: fetch time string with ngettext (#35)

  [ Clement Lefebvre ]
  * l10n: Update additional files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:17:18 +0100

mintupload (4.1.0) sonya; urgency=medium

  [ JosephMcc ]
  * Use a themable icon for the application and tray icon

  [ Clement Lefebvre ]
  * l10n: Update POT file
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:04:00 +0100

mintupload (4.0.9) serena; urgency=medium

  * Use 22px PNG in indicator

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Jan 2017 15:30:50 +0000

mintupload (4.0.8) sarah; urgency=medium

  * SFTP: Connect via SSH using key_filename if appropriate
  * Switch from StatusIcon to Indicator

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Aug 2016 16:55:43 +0200

mintupload (4.0.7) sarah; urgency=medium

  * Manager: Fixed edit window getting destroyed when closing it from its window frame

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Jun 2016 13:40:45 +0100

mintupload (4.0.6) sarah; urgency=medium

  * Fixed exec path and icon in XDG autostart
  * Fixed debian/links

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jun 2016 11:10:04 +0100

mintupload (4.0.5) sarah; urgency=medium

  [ Daniel Alley ]
  * Gtk3 conversion
  * Fixed duplicate object IDs causing GtkBuilder name conflicts
  * JosephM's Gtk3 fixes
  * Fix mistake made by the pygi-convert.sh script
  * Removed unused UI configuration code
  * Replaced deprecated widgets
  * Added horizontal/vertical expansion to the hostname text box
  * Added primary-toolbar stle class to the manager toolbar
  * Fixed threading issue in file-uploader.py
  * Converted name from camelCase to lowercase, moved icons and ui files from /usr/lib to /usr/share, recreated pot and desktop files accordingly
  * Refactoring names
  * Turned NotifyThread into daemon thead
  * Minor refactoring
  * Remove separate threading code in favor of built-in GLib funcitonality, un-broke menu positioning for Gtk 3.18
  * Fixed issue with service manager menu hiding while it was open
  * Only rebuild the menu if it needs to
  * Fixed quit menu item on file-uploader.py
  * Fixed issue where services would not be removed properly
  * Fixed Gtk warning - Dialog without 'set_transient_for'
  * Fixed Drop Zones
  * Fixed editing services failure
  * Minor refactoring
  * Fixed Gtk's breakage of saving settings
  * Fix warnings
  * Removed vestigial UI xml
  * Makepot
  * Fixed closing the About Dialog
  * Added border width to add service dialog
  * Add back compatibility for Mint 17

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 May 2016 10:10:09 +0100

mintupload (4.0.4) sarah; urgency=medium

  * Updated generated files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 12:20:06 +0100

mintupload (4.0.3) sarah; urgency=medium

  [ Daniel Alley ]
  * PEP8 formatting
  * minor refactoring (mostly naming consistency)
  * remove dh_python from the build process
  * removed dead code
  * left a comment to explain mysterious code
  * rearranged imports
  * refactoring for better encapsulation

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 12:21:10 +0000

mintupload (4.0.2) rosa; urgency=medium

  [ monsta ]
  * Don't crash with glib >= 2.41
  * removed unused import

  [ Brian Millham ]
  * Fixes both spaces in filename problems and allows DSA authentication.

  [ Clement Lefebvre ]
  * Specify python version in shebangs, and updated desktop file
  * Changed default hostname from mint-space.com to hostname.com
  * Add service: Don't allow special chars or spaces in service name
  * Updated desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 18:10:22 +0000

mintupload (4.0.1) rebecca; urgency=medium

  * Updated Debian files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Oct 2014 10:59:20 +0200

mintupload (3.9.9) qiana; urgency=low

  * [d25779e] Add trailing semicolon
  * [78e2207] Update translations

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 26 May 2014 13:42:08 +0200

mintupload (3.9.8) qiana; urgency=low

  * [e3a2188] KDE desktop file generation
  * [d1e354f] GNOME based desktop file hidden in KDE
  * [b60e258] New KDE4 desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 26 May 2014 11:50:40 +0200

mintupload (3.9.7) qiana; urgency=medium

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 May 2014 21:43:56 +0100

mintupload (3.9.6) qiana; urgency=medium

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 15:24:24 +0100

mintupload (3.9.5) qiana; urgency=medium

  * Multiple fixes from Monsta

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Apr 2014 14:35:50 +0100

mintupload (3.9.4) petra; urgency=low

  * Fix desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Fri, 08 Nov 2013 10:03:37 +0100

mintupload (3.9.3) petra; urgency=low

  * Fixed pixelated alt-tab icon

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Nov 2013 10:14:05 +0000

mintupload (3.9.2) petra; urgency=low

  * Fixed pixelated alt-tab icon

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Oct 2013 10:37:03 +0000

mintupload (3.9.1) petra; urgency=low

  * Changed icon
  * Use a separated icon for systray

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Oct 2013 21:21:32 +0100

mintupload (3.9.0) olivia; urgency=low

  * Replaced "funny characters" with "special characters" in the UI

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Aug 2013 16:36:22 +0100

mintupload (3.8.9) olivia; urgency=low

  * Olivia

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Mar 2013 15:41:43 +0000

mintupload (3.8.8) maya; urgency=low

  * Maya

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Mar 2012 13:49:00 +0000

mintupload (3.8.7) lisa; urgency=low

  * Removed onlyShowIn clause in XDG autostart

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Feb 2012 18:18:06 +0000

mintupload (3.8.6) lisa; urgency=low

  * In Gnome use the colored icon

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 29 Oct 2011 11:39:00 +0000

mintupload (3.8.5) lisa; urgency=low

  * Use $USER instead of $LOGNAME to ensure compatibility with Ubuntu 11.10

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Oct 2011 11:46:00 +0000

mintupload (3.8.4) julia; urgency=low

  * Drag and drop compatibility with KDE
  * Changed icon to suit KDE.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Feb 2011 13:45:00 +0000

mintupload (3.8.3) julia; urgency=low

  * Added dependency on libnotify-bin

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Sep 2010 10:44:00 +0000

mintupload (3.8.2) julia; urgency=low

  * Monochrome tray icon (using icon name "up")

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Sep 2010 10:11:00 +0000

mintupload (3.8.1) julia; urgency=low

  * Fixed gettext issue

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Sep 2010 17:56:00 +0000

mintupload (3.8.0) julia; urgency=low

  * Check connection
  * UI improvements
  * Cancel on-going upload
  * Overall progress, speed and ETA

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Sep 2010 16:56:00 +0000

mintupload (3.7.9) julia; urgency=low

  * Only the manager is in the menu now, the systray icon is launched by XDG.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Sep 2010 11:38:00 +0000

mintupload (3.7.8) isadora; urgency=low

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 May 2010 10:55:00 +0000

mintupload (3.7.7) isadora; urgency=low

  * Doesn't hang when closed anymore (replaced calls to pyinotify with in-house loop)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 May 2010 10:46:00 +0000

mintupload (3.7.6) isadora; urgency=low

  * Added /etc/linuxmint/mintUpload/services dir by default

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Apr 2010 10:47:00 +0000

mintupload (3.7.5) helena; urgency=low

  * New GUI, functional for Mint 8.
  * Lost support for url, will have to be added again.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 3 Nov 2009 17:51:00 +0000

mintupload (3.7.4) helena; urgency=low

  * more detailed error messages in terminal
  * multiuploads are now single-threaded
  * fixed multiupload url reporting
  * removing backwards compatible messages
  * misc fixes

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Thu, 10 Sep 2009 12:33:03 +0100

mintupload (3.7.3) helena; urgency=low

  * fixing gettext bug preventing startup
  * fixing version number usage
  * fixing erroneous wTree usage in Core (notifications)

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Tue, 04 Aug 2009 20:52:29 +0100

mintupload (3.7.2) helena; urgency=low

  * fully implemented generic-branding
  * making edit window use instant-apply (HIG)
  * fixing autoselect bug

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Thu, 30 Jul 2009 10:45:15 +0100

mintupload (3.7.1) jaunty; urgency=low

  * adding file > Open menu item
  * adding file menu keyboard shortcuts
  * adding toolbar tooltips
  * fixing about box
  * fixing edit_services problem
  * fixing host tooltip
  * conforming to gnome HIGs more closely

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Fri,  24 Jul 2009 13:49:22 +0100

mintupload (3.7) jaunty; urgency=low

  * multiple file upload with drag and drop
  * adding Menu launcher
  * simplified adding/copying/renaming a new service
  * sftp now uses progress bar
  * service autoselect on launch
  * removed branding
  * removed dependency on mintsystem

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Thu,  23 Jul 2009 19:30:55 +0100

mintupload (3.6.1) jaunty; urgency=low

  * fixes spaces in filename affecting url output
  * upload button now i18ned #399302
  * progressbar not needed after 100%, so replaced with url if defined
  * fixes autoselection when only one service is defined
  * fixes removal of services with spaces in name
  * gladefile cleaning
 
 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Mon,  20 Jul 2009 15:33:19 +0100

mintupload (3.6) jaunty; urgency=low

  * autocopy of url to clipboard - kinkerl
  * integration with jaunty's notification system - kinkerl
  * much improved error handling - kinkerl
  * large amount of code cleanup, hence better stability

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Wed,  15 Jul 2009 16:45:42 +0100

mintupload (3.5.2) jaunty; urgency=low

  * small bugfixes
  * general code cleanup by kinkerl
  * no longer packaged with git database

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Mon,  13 Jul 2009 17:12:26 +0100

mintupload (3.5.1) jaunty; urgency=low

  * bugfix release:
  * scp can use custom port
  * enabling text beside icons
  * no longer assumes url is defined
  * enables upload button for minimum service config

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Fri,  26 Jun 2009 11:46:43 +0100

mintupload (3.5) jaunty; urgency=low

  * Spaces in URLs are now encoded for correct auto-linking e.g. IRC
  * Allows customisation of e.g. filesize output, defaults
  * CLI usage hints by kinkerl
  * More verbose output when run from terminal, including progressbar
  * Removed clem's v3.1 scp fix in favour of a comment
  * Better error handling
  * Sufficient abstraction for writing multiple UIs (CLI/QT etc.)
 
 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Thu,  21 May 2009 18:20:45 +0100

mintupload (3.3.4) gloria; urgency=low

  * merlwiz's text beside icons bugfix #399705

 -- Philip Morrell <mintupload.emorrp1@mamber.net>  Mon,  20 Jul 2009 20:38:47 +0100

mintupload (3.3.3) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  19 May 2009 19:53:00 +0000

mintupload (3.3.2) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 22:46:00 +0000

mintupload (3.3.1) gloria; urgency=low

  * Added translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 22:12:00 +0000

mintupload (3.3) gloria; urgency=low

  * Localized hardcoded string line #291

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  6 May 2009 15:59:00 +0000

mintupload (3.2) gloria; urgency=low

  * Localized hardcoded messages when SCP fails to find password/key
  * Moved space char out of localization for successful connection messages

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  6 May 2009 15:27:00 +0000

mintupload (3.1) gloria; urgency=low

  * Fix for passwordless SCP profiles

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  22 Apr 2009 18:24:00 +0000

mintupload (3.0.4) gloria; urgency=low

  * Fix for selected services containing underscores.

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  13 Apr 2009 21:25:00 +0000

mintupload (3.0.3) gloria; urgency=low

  * About dialog use "mint-apt-version"
  * Added Dennis Schwertel to credits
  * Changed main combo to normal combobox widget as opposed to comboboxentry widget

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  11 Apr 2009 9:36:00 +0000

mintupload (3.0.2) gloria; urgency=low

  * Many little improvements suggested by Philip Morrell.

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  11 Apr 2009 9:36:00 +0000

mintupload (3.0.1) gloria; urgency=low

  * New GUI to edit services
  * About dialog use APT to know version number

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  10 Apr 2009 18:38:00 +0000

mintupload (2.1.5) gloria; urgency=low

  * Removed copy button
  * Made Mint-Space related fields only appear when mint service is selected
  * Changed GUI style from Mint-Style to Gnome
  * Made progress information only appear when upload starts.
  * Made url info only appear when upload finished for a mint service.
  * Made window resize automatically.

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  10 Apr 2009 13:09:00 +0000

mintupload (2.1.4) gloria; urgency=low

  * Added /usr/bin/mintupload

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  10 Apr 2009 11:40:00 +0000

mintupload (2.1.3) felicia; urgency=low

  * addition of a port config option by kinkerl
  * all config lines are now optional, with sensible defaults
  * config lines fully documented in /etc/linuxmint/mintUpload/services/Default
  * ssh can use private keys from ~/.ssh
  * bugfixes

 -- Philip Morrell <ubuntu.emorrp1@mamber.net>  Thu,  02 Apr 2009 01:43:34 +0100

mintupload (2.1.2) felicia; urgency=low

  * allow non-mint services to set all config options by kinkerl
  * ignore hidden and backup files in services directories by kinkerl
  * allow <TIMESTAMP> placeholder in path by kinkerl
  * addition of a timestamp format config option
  * makes parent directories in path as needed (not scp)
  * general code cleanup and optimisations
  * important fix for error reporting bug introduced in v2.1.1

 -- Philip Morrell <ubuntu.emorrp1@mamber.net>  Tue,  31 Mar 2009 03:12:00 +0000

mintupload (2.1.1) felicia; urgency=low

  * upgraded python-pexpect and python-paramiko to full dependencies
  * trailing '/' in path now optional
  * scp bugfixes by jayemdaet
  * misc bugfixes

 -- Philip Morrell <ubuntu.emorrp1@mamber.net>  Mon,  16 Mar 2009 13:41:00 +0000

mintupload (2.1) felicia; urgency=low

  * scp Support added by jayemdaet
  * ssh/sftp Support added
  * more natural handling of multiple transfer protocols

 -- Philip Morrell <ubuntu.emorrp1@mamber.net>  Fri,  27 Feb 2009 13:13:00 +0000

mintupload (2.0.2) felicia; urgency=low

  * New translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  6 Dec 2008 00:24:00 +0000

mintupload (2.0.1) elyssa; urgency=low

  * If an error occurs, the cause of the error is now shown in the statusbar
  * Services files are now read from ~/.linuxmint/mintUpload/services as well as /etc/linuxmint/mintUpload/services
  * Added translations for ca  cs  da  de  ja  lt  nl  pt_BR  ro  sk ko

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  13 Oct 2008 20:30:00 +0000

mintupload (2.0) elyssa; urgency=low

  * FTP Support added

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  5 Oct 2008 19:49:00 +0000

mintupload (1.4) elyssa; urgency=low

  * Window is now centered
  * Better GUI
  * i18n
  * email feature replaced by copy to buffer feature

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  11 Mar 2008 16:15:00 +0000

mintupload (1.3) celena; urgency=low

  * Removed dependency on nautilus-actions

 -- clem <root@linuxmint.com>  Wed,  26 Dec 2007 14:00:00 +0000

mintupload (1.2) celena; urgency=low

  * Fine-tuned for compatibility with mint-space
  * Better error reporting in CLI mode

 -- clem <root@linuxmint.com>  Mon,  20 Aug 2007 16:56:00 +0000

mintupload (1.1) cassandra; urgency=low

  * Added an email button to compose a mail with thunderbird
  * Added persistence information
  * Closing the window now closes the process
  * Better layout in the GUI

 -- clem <root@linuxmint.com>  Thu,  2 Aug 2007 23:24:00 +0000

mintupload (1.0) cassandra; urgency=low

  * Initial release

 -- clem <root@linuxmint.com>  Thu,  2 Aug 2007 18:32:00 +0000

